rpmsq.h File Reference
RPM IO API.
`#include <rpm/rpmsw.h>`
`#include <signal.h>`
Include dependency graph for rpmsq.h:

Go to the source code of this file.

## Typedefs

typedef void(* | rpmsqAction_t )(int signum)
| Default signal handler prototype. More...

## Functions

int | rpmsqIsCaught (int signum)
| Test if given signal has been caught (while signals blocked). More...
void | rpmsqAction (int signum)
| Default signal handler. More...
int | rpmsqEnable (int signum, rpmsqAction_t handler)
| Enable or disable a signal handler. More...